Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version: 2.2.2

Description

Associated revisions

Revision 17294 - 2018-04-09 15:00 - Go MAEDA

Gantt bars with start date and end date on the same day don't become red by overdue (#13521).

Patch by Mizuki ISHIKAWA.

History

#1 - 2013-03-19 17:54 - Daniel Felix

As I remember, they wont have any bar. Doesn't it? But in the tracker is a patch which fixes this behaviour.

I would try this, but I'm currently not at home (just on my smartphone).

You can find the patches on #12730 and it's related issues. Maybe you could give a quick feedback.

#2 - 2013-03-20 14:52 - Toru Haraguchi

Daniel Felix wrote:

As I remember, they wont have any bar. Doesn't it?

 DOES it.

> I would try this, but I'm currently not at home (just on my smartphone).

 This issue is not so urgent and can be combined with another refine.

You can find the patches on #12730 and it's related issues. Maybe you could give a quick feedback.

 The thread is too messy to figure out where is the solution for this issue.

#3 - 2017-11-27 09:19 - Go MAEDA

- File gantt-defect13521@2x.png added

- Status changed from New to Confirmed

Confirmed.

 gantt-defect13521@2x.png 

#4 - 2017-11-28 02:24 - Mischa The Evil

FWIW: Pavel Shalagin wrote about it first (and even provided a patch for it) in #6276#note-17 about 7 years ago:

"Don't know if it can be considered as a problem, but the tasks with the same start_date and end_date seems not to be colored of progress and

late correctly on the diagram. They all are just grey. [...]

I would suggest some changes (please see the patch). [...]"
https://www.redmine.org/issues/12730
https://www.redmine.org/issues/12730
https://www.redmine.org/issues/6276#note-17


#5 - 2017-12-15 01:39 - Mizuki ISHIKAWA

- File fix_late_line.patch added

- File gantt1.png added

- File gantt2.png added

I confirmed that the patch written by Pavel Shalagin will solve the problem.

However, I think that the Gantt Bar should turn red when the start date is the same as the current date.

I added a few fixes and test code to the patch written by Pavel Shalagin at #6276#note-17.

change from change to

gantt1.png gantt2.png 

#6 - 2017-12-16 12:26 - Toshi MARUYAMA

- Target version set to 4.1.0

#7 - 2018-04-09 15:09 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thanks to everyone involved in fixing this issue.

#8 - 2018-04-09 15:10 - Go MAEDA

- Subject changed from Gantt bars with start_date and end_date on a same day do not become red by over due to Gantt bars with start date and end

date on the same day don't become red by overdue

Files

gantt-defect13521@2x.png 31.8 KB 2017-11-27 Go MAEDA

fix_late_line.patch 2.18 KB 2017-12-15 Mizuki ISHIKAWA

gantt2.png 48.7 KB 2017-12-15 Mizuki ISHIKAWA

gantt1.png 50.9 KB 2017-12-15 Mizuki ISHIKAWA
